package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/** 企业认证表
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/25 9:05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Certification extends BaseEntity {
    /**
     *企业认证id
     * **/
    private Long id;
    /**
     *审核报告人
     * **/
    private String auditor;
    /**
     *待审核，已通过，未通过
     * **/
    private String stat;
    /**
     *审核报告
     * **/
    private String auditReason;


}
