package com.muyu.domain;


import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/** 支付方式
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/25 9:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ModeOfPayment extends BaseEntity {
    /***
     * 支付id
     * */
    private Long id;
    /***
     * 支付方式/类型
     * */
    private String payment;


}
