package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.naming.ldap.PagedResultsControl;

/** 支付表
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/25 9:33
 */
@Data
@AllArgsConstructor
@NoArgsConstructor@SuperBuilder
public class PayOf extends BaseEntity {
    /**
     * 支付id
     * */
    private Long id;
    /**
     * 企业id
     * */
    private Long enterpriseId;
    /**
     * 支付方式/类型（id）
     * */
    private Long modeOfPaymentId;
    /**
     * 需要支付的金额
     * */
    private Double price;


}
