package com.muyu.networking.service.impl;


import com.muyu.common.core.utils.DateUtils;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.domain.Enterprise;
import com.muyu.networking.mapper.EnterpriseMapper;
import com.muyu.networking.service.EnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.UUID;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-25
 */
@Service
public class EnterpriseServiceImpl implements EnterpriseService
{
    @Autowired
    private EnterpriseMapper enterpriseMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public Enterprise selectEnterpriseById(Long id)
    {
        return enterpriseMapper.selectEnterpriseById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param enterprise 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<Enterprise> selectEnterpriseList(Enterprise enterprise)
    {
        return enterpriseMapper.selectEnterpriseList(enterprise);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param enterprise 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertEnterprise(Enterprise enterprise)
    {
        enterprise.setCreateBy(SecurityUtils.getUsername());
        enterprise.setCreateTime(DateUtils.getNowDate());
        enterprise.setBusinessLicenseNumber(UUID.randomUUID().toString());
        return enterpriseMapper.insertEnterprise(enterprise);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param enterprise 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateEnterprise(Enterprise enterprise)
    {
        enterprise.setUpdateTime(DateUtils.getNowDate());
        return enterpriseMapper.updateEnterprise(enterprise);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseByIds(Long[] ids)
    {
        return enterpriseMapper.deleteEnterpriseByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseById(Long id)
    {
        return enterpriseMapper.deleteEnterpriseById(id);
    }
}
