package com.muyu.networking.service.impl;

import java.util.List;
import com.muyu.common.core.utils.DateUtils;
import com.muyu.domain.OpenServiceAdd;
import com.muyu.networking.mapper.OpenServiceMapper;
import com.muyu.networking.service.OpenServiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-25
 */
@Service
public class OpenServiceServiceImpl implements OpenServiceService
{
    @Autowired
    private OpenServiceMapper openServiceMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public OpenServiceAdd selectOpenServiceById(Long id)
    {
        return openServiceMapper.selectOpenServiceById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param openService 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<OpenServiceAdd> selectOpenServiceList(OpenServiceAdd openService)
    {
        return openServiceMapper.selectOpenServiceList(openService);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param openService 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertOpenService(OpenServiceAdd openService)
    {
        openService.setCreateTime(DateUtils.getNowDate());
        return openServiceMapper.insertOpenService(openService);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param openService 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateOpenService(OpenServiceAdd openService)
    {
        openService.setUpdateTime(DateUtils.getNowDate());
        return openServiceMapper.updateOpenService(openService);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteOpenServiceByIds(Long[] ids)
    {
        return openServiceMapper.deleteOpenServiceByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteOpenServiceById(Long id)
    {
        return openServiceMapper.deleteOpenServiceById(id);
    }
}
